Mantis Bugtracker

Viewing Issue Simple Details Jump to Notes ] View Advanced ] Issue History ] Print ]
ID Category Severity Reproducibility Date Submitted Last Update
0000370 [Yate - Yet Another Telephony Engine] module trivial always 2014-08-17 01:11 2014-09-18 16:32
Reporter octavsly View Status public  
Assigned To
Priority normal Resolution fixed  
Status resolved   Product Version SVN
Summary 0000370: YATE 5.4.0 accfile.conf --> registrar=server:5060
Description After upgarding to version 5.4.0 I started seeing the following type of errors:
1408225218.089520 <sip:WARN> SIP line 'xxxxxxxxxxxx' logon failure 400: Malformed Request Line


After some investigation it appears to be related to the registrar specification in accfile.conf.

Using registrar=sip.justvoip.com:5060 instead of registrar=sip.justvoip.com make the error appear.

Example of failure for registrar=server:5060:
1408225218.029813 <sip:INFO> 'udp:0.0.0.0:5060' sending 'REGISTER sip:[sip.netmaster.ro:5060]' 0x9def380 to 193.16.148.244:5060 [0x9d2d3f8]^M
------^M
REGISTER sip:[sip.netmaster.ro:5060] SIP/2.0^M
Contact: "netmaster.ro +xxxxxxxxxxx" <sip:xxxxxxxxxx@128.127.40.73:5060>^M
Expires: 600^M
To: <sip:xxxxxxxxxxx@[sip.netmaster.ro:5060]>^M
Call-ID: 1030064953@sip.netmaster.ro:5060^M
Via: SIP/2.0/UDP 128.127.40.73:5060;rport;branch=z9hG4bK947378527^M
From: <sip:xxxxxxxxx@sip.netmaster.ro:5060>;tag=694434523^M
CSeq: 5 REGISTER^M
User-Agent: YATE/5.4.0^M
Max-Forwards: 70^M
Allow: ACK, INVITE, BYE, CANCEL, REGISTER, REFER, OPTIONS, INFO^M
Content-Length: 0^M



Working example for registrar=server:
1408225731.076129 <sip:INFO> 'udp:0.0.0.0:5060' sending 'REGISTER sip:sip.netmaster.ro' 0xb61255d8 to 193.16.148.244:5060 [0x9ea73d0]^M
------^M
REGISTER sip:sip.netmaster.ro SIP/2.0^M
Contact: "netmaster.ro +xxxxxxxxxxxx" <sip:xxxxxxxxx@128.127.40.73:5060>^M
Expires: 600^M
To: <sip:xxxxxxxxx@sip.netmaster.ro>^M
Call-ID: 1186116601@sip.netmaster.ro^M
Via: SIP/2.0/UDP 128.127.40.73:5060;rport;branch=z9hG4bK882626156^M
From: <sip:xxxxxxxxxx@sip.netmaster.ro>;tag=433899024^M
User-Agent: YATE/5.4.0^M
Max-Forwards: 70^M
Allow: ACK, INVITE, BYE, CANCEL, REGISTER, REFER, OPTIONS, INFO^M
CSeq: 7 REGISTER^M
Authorization: Digest username="xxxxxxxxxx", realm="sip.netmaster.ro", nonce="1408225721:f41a1fd2cf97e32ebeb29eb261702a70", uri="sip:sip.netmaster.ro", response="238276c3e
Content-Length: 0^M
Additional Information
Tags No tags attached.
Attached Files

- Relationships

-  Notes
(0000552)
paulc (administrator)
2014-09-18 16:32

Should be fixed by Rev 5914 (2014-09-18):

Make sure an ip.v4.addr.ess:port does not get enclosed in square brackets.

- Issue History
Date Modified Username Field Change
2014-08-17 01:11 octavsly New Issue
2014-09-16 11:21 paulc Status new => acknowledged
2014-09-18 16:32 paulc Note Added: 0000552
2014-09-18 16:32 paulc Status acknowledged => resolved
2014-09-18 16:32 paulc Resolution open => fixed


Copyright © 2000 - 2008 Mantis Group
Powered by Mantis Bugtracker